imageellipse
imagefilledarc
GD Functions
PHP Manual

# imagefill

(PHP 4, PHP 5)

imagefill — Flood fill

### Description

bool imagefill ( resource `$image` , int `$x` , int `$y` , int `$color` )

Performs a flood fill starting at the given coordinate (top left is 0, 0) with the given `color` in the `image` .

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`x`

  x-coordinate of start point

`y`

  y-coordinate of start point

`color`

  The fill color. A color identifier created with imagecolorallocate()

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagefill() example

`<?php
$im = imagecreatetruecolor(100, 100);
// sets background to red
$red = imagecolorallocate($im, 255, 0, 0);
imagefill($im, 0, 0, $red);
header('Content-type: image/png');
imagepng($im);
imagedestroy($im);
?>`

The above example will output something similar to:

### See Also

- imagecolorallocate()

imageellipse
imagefilledarc
GD Functions
PHP Manual